### Method

# Foundry FileSearchReplacement apply

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_file_search_replacement_apply (
      FoundryFileSearchReplacement* self
    )

#### Description [src]

Applies the text replacements to all matched locations.

This method starts a fiber and performs replacements asynchronously. Each replacement is performed using `FoundryTextEdit` and applied using `FoundryTextManager`.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that completes when all replacements are finished.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.